<?php

namespace App\Classes\Modules\ServiceTypes\Services;

use App\Classes\General\Eloquent\AbstractUpdateRecord;
use App\Classes\Modules\ServiceTypes\DataTransferObjects\ServiceTypeObject;
use App\Models\ServiceType;

class UpdatesServiceType extends AbstractUpdateRecord
{

    public function execute(ServiceType $model, ServiceTypeObject $object) {

        $model->name = $object->getName();

        return $this->handler($model);

    }
}